QXmppArchiveListIq Class Reference
Stanzas

Represents an archive list as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveListIq:

List of all members.

## Public Member Functions

| QXmppArchiveListIq ()
| Constructs a QXmppArchiveListIq.
QList< QXmppArchiveChat > | chats () const
| Returns the list of chat conversations.
void | setChats (const QList< QXmppArchiveChat > &chats)
| Sets the list of chat conversations.
int | max () const
void | setMax (int max)
QString | with () const
void | setWith (const QString &with)
QDateTime | start () const
void | setStart (const QDateTime &start)
QDateTime | end () const
void | setEnd (const QDateTime &end)

## Detailed Description

Represents an archive list as defined by XEP-0136: Message Archiving.

## Member Function Documentation

QDateTime QXmppArchiveListIq::end | ( |  | ) | const

Returns the end date/time for the archived conversations.

int QXmppArchiveListIq::max | ( |  | ) | const

Returns the maximum number of results.

void QXmppArchiveListIq::setEnd | ( | const QDateTime & | end | ) |

Sets the end date/time for the archived conversations.

Parameters:

  end |

void QXmppArchiveListIq::setMax | ( | int | max | ) |

Sets the maximum number of results.

Parameters:

  max |

void QXmppArchiveListIq::setStart | ( | const QDateTime & | start | ) |

Sets the start date/time for the archived conversations.

Parameters:

  start |

void QXmppArchiveListIq::setWith | ( | const QString & | with | ) |

Sets the JID which archived conversations must match.

Parameters:

  with |

QDateTime QXmppArchiveListIq::start | ( |  | ) | const

Returns the start date/time for the archived conversations.

QString QXmppArchiveListIq::with | ( |  | ) | const

Returns the JID which archived conversations must match.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties